<!--Specify the document type.-->
<!DOCTYPE html>

<!--The root tag of an HTML document is "html"-->
<html>
    <!--We put metadata about our web page within the head tags-->
    <head>
        <meta charset="UTF-8"/>
        <title>Welcome To RevBook!</title>
        <!--We can use the link tag to specify the location of our stylesheet-->
        <link rel="stylesheet" href="./styles/index.css"></link>
        <!--The better (more standard) way of including JS is by using the script tag and linking to an external JS file. While you can do this here, it is customary to place the script tag (with a linked source> at the bottom of the body so that you can make sure that all elements have been rendered before you attempt to manipulate them.-->
    </head>
    <!--This is where we place the elements that are visible to the end user.-->
    <!--This is inline CSS; it's generally bad practice to do this as it doesn't scale well as our document gets more complex and requires more style.-->
    <body style="background-color: rgb(240, 243, 245);">
        <!--We use divs to "div"-ide the page into different sections.-->
        <div class="container">
            <div id="message">
                <h1>Connect with co-workers and the work around you.</h1>
                <hr>
                <h2>RevBook</h2>
            </div>
            <!--Style tags are used to apply styles. This is better than inline CSS, but it's still limited because you can't reuse these styles in other HTML documents.-->
            <style>
                h1{
                    color: gray;
                }
            </style>
            <!--This "form" tag is a semantic tag. The tag name itself provides meaning for people like us who are reading this document.-->
            <div id="formDiv">
            <!-- Our form sends the input data nowhere if we do not have
            a method and an action associated with it. These are HTML
            attributes that can be used with a form. -->
                <form id="form" method="post" action="/ServletDemo/session">
                    <!--Web elements have attributes (e.g. href, src, style, type, etc. We use these attributes to specify information about those elements.-->
                    <input type="email" placeholder="Email" name="username" required/>
                    <input type="password" placeholder="Password" name="password" required/>
                    <button>Login</button>
                    <p>Forgot your password?</p>
                </form>
            </div>
        </div>
        <!--JavaScript can be included using a <script> tag. This doesn't get rendered (users can't see it)!-->
        <script>
            //Write JavaScript here!
            let a = 8;
            console.log(a)
        </script>
        <!--We are referencing an external JS file.-->
        <script src="./scripts/index.js"></script>
    </body>
</html>